Package org.eclipse.ecf.core.sharedobject

# Interface ISharedObjectTransactionParticipantsFilter

public interface ISharedObjectTransactionParticipantsFilter
Filter for determining transaction participants

See Also:
  - `ISharedObjectContainerTransaction`

## Method Summary

Modifier and Type
Method
Description
`ID[]`
`filterParticipants(ID[] currentGroup)`
Return ID[] of participants to participate in transacton.

## Method Details

### filterParticipants

ID[] filterParticipants(ID[] currentGroup)
Return ID[] of participants to participate in transacton.

Parameters:
  `currentGroup` - the current set of container group members
Returns:
  intended participants in transaction. If null is returned, all group members will be included in transaction.